This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### + (addition)
Examples |
    int a = 50 + 5;  // Sets 'a' to 55
    int b = a + 5;   // Sets 'b' to 60
    String s1 = "Chernenko";
    String s2 = "Brezhnev";
    String sc1 = s1 + s2;
    String sc2 = s1 + ", Andropov, " + s2;
    println(sc1);  // Prints "ChernenkoBrezhnev"
    println(sc2);  // Prints "Chernenko, Andropov, Brezhnev"
    String s1 = "Gorbachev";
    int i = 1987;
    String sc1 = s1 + i;
    println(sc1);  // Prints "Gorbachev1987"
Description | Adds two values or concatenates string values. As a mathematical operator, it calculates the sum of two values. As a string operator, it combines two strings into one and converts from primitive datatypes into the String datatype if necessary.
Syntax |
    value1 + value2
Parameters |
value1 | String, int, float, char, byte, boolean
value2 | String, int, float, char, byte, boolean
Related | ++ (increment) += (add assign) - (minus)

Updated on October 26, 2013 08:58:34pm PDT